Delete all Expected Switches
Delete the complete Expected Switch set for the Site identified by siteId.
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.
Alternatively, Tenant Admins with TargetedInstanceCreation capability can also delete Expected Switches if they have an account with the Site’s Infrastructure Provider.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
Query parameters
siteId
ID of the Site whose Expected Switches should be deleted
Response
All Expected Switches deleted successfully
Errors
400
Bad Request Error
403
Forbidden Error
409
Conflict Error